/*
The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

Alternatively, the contents of this file may be used under the
terms of the GNU General Public License Version 2 or later (the
"GPL"), in which case the provisions of the GPL are applicable 
instead of those above.

Copyright (C) 2006 Vladimir Marek <vlmarek@volny.cz>
*/

var input_parameters;

/*
   initTextareaSelector

   Function which fills the listbox of text areas with values and present it to
   the user
*/
function initTextareaSelector()
{
    input_parameters=window.arguments[0];
    input_parameters.result=-1;
    var textareas=input_parameters.textareas;
    var listbox=document.getElementById("textarea_list");
    for (var i = 0; i < textareas.length; i++) {
        var item=listbox.appendItem((i+1)+".");

        var cell=document.createElement("listcell");
        cell.setAttribute("label", textareas[i].id);
        item.appendChild(cell);

        cell=document.createElement("listcell");
        cell.setAttribute("label", textareas[i].getAttribute("name"));
        item.appendChild(cell);

        if (i==0)
        {
            listbox.selectItem(item);
        }
    }
    window.focus();
    listbox.focus();
}

/*
   select_textarea

   Function which is called when line in the listbox is selected and returns
   the result to the caller
*/
function select_textarea()
{
    var listbox=document.getElementById("textarea_list");
    input_parameters.result=listbox.selectedIndex;
    window.close();
}

/*
vim: tabstop=4:shiftwidth=4:expandtab:cindent
*/
